'''
Created on Oct 6, 2011

@author: rayan
'''

from feic.fe.data_structure.model.xmlBound import XmlBound


class Input(XmlBound):
    """
    Manages the creation of the structure input. Can generate a new structure
    based on its value or read from an existing one. Also handles the dumping
    to FE.
    """
    READ = "reads"
    INP = "input"
    VAL = "value"

    def __init__(self, **kwargs):
        XmlBound.__init__(self,
                          {self.READ: "reads", self.VAL: "value"},
                          self.INP, **kwargs)

    pass  # end of class
