'''
Created on Oct 6, 2011

@author: rayan
'''
from feic.fe.data_structure.model.xmlBound import XmlBound


class Output(XmlBound):
    """Manages the creation of the structure output. Can generate a new
    structure based on its value or read from an existing one. Also
    handles the dumping to FE.
    """
    WRTS = "writes"
    READS = "reads"
    BINDS = "binds"
    TYPE = "type"
    OUT = "output"

    def __init__(self, **kwargs):
        XmlBound.__init__(self, {self.WRTS: "writes",
                                 self.READS: "reads",
                                 self.BINDS: "binds",
                                 self.TYPE: "type"},
                          self.OUT, **kwargs)

    pass  # end of class
