'''
Created on Oct 7, 2011

@author: rayan
'''

from feic.fe.data_structure.model.xmlBound import XmlBound


class Template(XmlBound):
    """Manages the creation of the structure template. Can generate a new
    structure based on its value or read from an existing one. Also
    handles the dumping to FE.
    """
    NAME = "name"
    VAL = "value"
    TYPE = "type"

    def __init__(self, **kwargs):
        XmlBound.__init__(self,
                          {self.NAME: "name",
                           self.VAL: "value",
                           self.TYPE: "type"},
                          "template", **kwargs)

    pass  # end of class
