'''
Created on Sep 22, 2011

@author: Cristian Mattarei
'''
from lxml import etree, objectify


def GetPrefix(path, sep):
    prefix = ""
    for el in str(path).split(sep)[:-1]:
        prefix += el+sep
    return prefix


def GetDicValue(dictionary, value):
    return dictionary[value] if value in dictionary else None


def StrFromFile(file):
    f = open(file, 'r')
    ret = f.read()
    f.close()
    return ret


def LoadXML(xml, schema):
    xmls = etree.XMLSchema(file=schema)
    parser = objectify.makeparser(schema=xmls)
    ob_tree = objectify.parse(xml, parser)
    return ob_tree.getroot()
